'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var errors = require('./errors.js');
var shard$1 = require('./shard.js');
var base = require('./base.js');
var memory = require('./memory.js');
var keytransform = require('./keytransform.js');
var sharding = require('./sharding.js');
var mount = require('./mount.js');
var tiered = require('./tiered.js');
var namespace = require('./namespace.js');

const Errors = { ...errors };
const shard = { ...shard$1 };

exports.BaseDatastore = base.BaseDatastore;
exports.MemoryDatastore = memory.MemoryDatastore;
exports.KeyTransformDatastore = keytransform.KeyTransformDatastore;
exports.ShardingDatastore = sharding.ShardingDatastore;
exports.MountDatastore = mount.MountDatastore;
exports.TieredDatastore = tiered.TieredDatastore;
exports.NamespaceDatastore = namespace.NamespaceDatastore;
exports.Errors = Errors;
exports.shard = shard;
